ValidatorConstraint (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.validation

## [Java] Class ValidatorConstraint

- org.grails.validation.ValidatorConstraint

- A constraint class that validates using a user-supplied closure.

  The Closure will receive one or two parameters containing the new value of the property and the object on which the validation is being performed. The value is always the first parameterm and the object is the second. These parameters must be type compatible with the value of the property and constrained class.

  The Closure can return any of:

  - NULL to indicate success
  - true to indicate success
  - false to indicate a failure, with the default failure message
  - a string to indicate a failure with the specific error code which will be appended to the prefix for the constrained class and property i.e. classname.propertyname.stringfromclosurehere
  - a list containing an error code and any other arguments for the error message. The error code will be appended to the standard classname.propertyname prefix and the arguments made available to the error message as parameters numbered 3 onwards.
  Authors:
    Marc Palmer
  Since:
    0.4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractConstraint` | `classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getName()`
    `protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
    `void` | `setParameter(java.lang.Object constraintParameter)`
    `protected boolean` | `skipBlankValues()`
    `protected boolean` | `skipNullValues()`
    `boolean` | `supports(java.lang.Class type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractConstraint` | `checkState, getDefaultMessage, getParameter, getPropertyName, isValid, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.String getName()

    - #### @java.lang.Override protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

    - #### @java.lang.Override public void setParameter(java.lang.Object constraintParameter)

    - #### @java.lang.Override protected boolean skipBlankValues()

    - #### @java.lang.Override protected boolean skipNullValues()

    - #### @java.lang.SuppressWarnings("rawtypes") public boolean supports(java.lang.Class type)